%define upstream_name    Catalyst-Action-REST
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A request trait for REST and browsers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.800.300
BuildRequires: perl(Class::Inspector) >= 1.130.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::UserAgent) >= 5.0.0
BuildRequires: perl(MRO::Compat) >= 0.100.0
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(URI::Find)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
This Action handles doing automatic method dispatching for REST requests.
It takes a normal Catalyst action, and changes the dispatch to append an
underscore and method name. First it will try dispatching to an action with
the generated name, and failing that it will try to dispatch to a regular
method.

For example, in the synopsis above, calling GET on "/foo" would result in
the foo_GET method being dispatched.

If a method is requested that is not implemented, this action will return a
status 405 (Method Not Found). It will populate the "Allow" header with the
list of implemented request methods. You can override this behavior by
implementing a custom 405 handler like so:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.210.0-5.mga10
+ Revision: 2203436
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.210.0-4.mga9
+ Revision: 1808354
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-3.mga8
+ Revision: 1503510
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.210.0-2.mga7
+ Revision: 1281978
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 1.210.0-1.mga7
+ Revision: 1181973
- update to 1.21

* Sat Jun 18 2016 pterjan <pterjan> 1.200.0-2.mga6
+ Revision: 1022843
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 923594
- update to 1.20

* Mon Jun 29 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 848167
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 749119
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.150.0-3.mga5
+ Revision: 732859
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 1.150.0-1.mga5
+ Revision: 623891
- update to 1.15

* Sat Feb 08 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 586688
- update to 1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.120.0-2.mga4
+ Revision: 534388
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 477706
- update to 1.12

* Wed Jun 26 2013 jquelin <jquelin> 1.110.0-1.mga4
+ Revision: 446863
- update to 1.11

* Fri Jun 07 2013 jquelin <jquelin> 1.100.0-1.mga4
+ Revision: 438861
- update to 1.10

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 363829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 341938
- update to 1.06

* Wed Jul 04 2012 jquelin <jquelin> 1.50.0-1.mga3
+ Revision: 267280
- update to 1.05

* Sat Jun 09 2012 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 258811
- update to 1.02

* Tue Jun 05 2012 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 254624
- update to 1.01

* Tue Mar 06 2012 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 220148
- update to 0.99

* Wed Feb 22 2012 kharec <kharec> 0.980.0-1.mga2
+ Revision: 211975
- update to 0.98

* Thu Jan 05 2012 jquelin <jquelin> 0.950.0-1.mga2
+ Revision: 191168
- update to 0.95

* Sat Dec 10 2011 kharec <kharec> 0.940.0-1.mga2
+ Revision: 180194
- update to 0.94

* Thu Oct 13 2011 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 154266
- update to 0.93
- update to 0.91

* Sat Feb 26 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 60793
- update to 0.90

* Wed Feb 16 2011 jquelin <jquelin> 0.890.0-1.mga1
+ Revision: 52437
- update to 0.89

* Wed Jan 26 2011 jquelin <jquelin> 0.870.0-1.mga1
+ Revision: 40243
- mageia rebuild
- imported package perl-Catalyst-Action-REST

